const baseOpts = {
    qrCodeBaseUrl: "https://map.abuzz.tech/amap/map.php?site=STARVISTA&lazyld=true",
    siteBaseUrl: "/",
    mediaBaseUrl: "/cache",
    labelFontUrl: "assets/fonts/Montserrat_Regular.json",
    amapBaseUrl: "/app/amap/",

    kiosks: {
		"Kent-RK3588": { startNodeId: "_13054_3854_600", camera: [32524, -11082, 32182], scene: [32763, 16269, 1803] },
		"StarVista-RK3588": { startNodeId: "_13054_3854_600", camera: [31040, 76296, 64082], scene: [31354, 26673, 1803] },
		"Demo-Vivo": { startNodeId: "_13054_3854_600", camera: [31040, 76296, 64082], scene: [31354, 26673, 1803] },
		"Paul-RK3588": { startNodeId: "_13054_3854_600", camera: [31040, 76296, 64082], scene: [31354, 26673, 1803] },
		"Shujat-RK3588": { startNodeId: "_13054_3854_600", camera: [31040, 76296, 64082], scene: [31354, 26673, 1803] },

        "TSV-WF001-B101-K212": { startNodeId: "_14477_7399_0", camera: [23525, -8868, 20471], scene: [10686, 6032, 1803] },
        "TSV-WF002-B102-K213": { startNodeId: "_6794_10787_0", camera: [-14545, 12033, 16368], scene: [1850, 9400, 1803] },
        "TSV-WF003-L101-K214": { startNodeId: "_13054_3854_600", camera: [-15563, -12137, 20059], scene: [3326, 5479, 1803] },
        "TSV-WF004-L102-K215": { startNodeId: "_2204_9350_600", camera: [-3754, -17719, 25084], scene: [5846, 6654, 1803] },
        "TSV-WF005-L201-K216": { startNodeId: "_14485_15344_1200", camera: [-1420, -13878, 27068], scene: [7185, 8835, 1803] },


        "TSV-WF006-L202-K217": { startNodeId: "_3178_11891_1200", camera: [18526, 34582, 28002], scene: [10137, 12869, 1803] }
    },
	
	defaultViewsByNodeId: {
        "_4094_8191_600": { camera: [31040, 76296, 64082], scene: [31354, 26673, 1803] }, // default-View

        "_14477_7399_0": { camera: [23525, -8868, 20471], scene: [10686, 6032, 1803]},    // TSV-WF001-B101-K212
        "_6794_10787_0": { camera: [-14545, 12033, 16368], scene: [1850, 9400, 1803] },   // TSV-WF002-B102-K213
        "_13054_3854_600": {camera: [-15563, -12137, 20059], scene: [3326, 5479, 1803] },   // TSV-WF003-L101-K214
        "_2204_9350_600": {camera: [-3754, -17719, 25084], scene: [5846, 6654, 1803] },   // TSV-WF004-L102-K215
        "_14485_15344_1200": {camera: [-1420, -13878, 27068], scene: [7185, 8835, 1803] },   // TSV-WF005-L201-K216


        "_3178_11891_1200": {camera: [18526, 34582, 28002], scene: [10137, 12869, 1803] }  // TSV-WF006-L202-K217
    },

    startNodeModel: {
        file: "app/assets/YOUAREHERE.obj",
        scale: [3, 3, 2],
        animate: false,
        animRotation: [0, 0, 5],
        animScale: [0.15, 7, 9],
        neutralRotation: true
    },

    uiKeyboard: true,
    uiKeyboardStayOpen: true,
    uiInteractionManager: true,
    noInteractionTimeoutSecs: 120, // secs
    newSessionTimeoutSecs: 25, // secs
    routeOpeningSoon: false,
    contextualSearch: false,
    searchSuggest: true,
    maxPOIsResults: 500,

    zoomInOutBtns: true,
    useFlyAnimation: false,
    orientPathPartDelay: 2000, // time in msecs
    pathAutoAnimate: false,
    pathAutoAnimateDelay: 1, // one second
    zoneTransitionDelay: 5000, // time in msecs
    mapAnimTime: 400, // time in msecs
    insideAreaDelta: 120, // pixels
	animPersonageSize: 300, // this is the sphere ray (in model units). used if no 3d model provided (default 1.5 * unitsPerMeter)
    multiFloorTransition: true,
	multiFloorTransitionInclineDelay: 2000, // time in msecs to tilt the zone (z1 and z2)
	multiFloorTransitionInclineAngle: 90, // Zone tilt angle (90 = fully horizontal)
    heightSpread: 20000,
	heightSpreadStep: 0.1, // zones spread animation stop (default 0.1). Smaller values more rendering.
    qrCodeSize: 110, // pixels
    maxDestinationsNb: 6,
	/* pathPartCollapseDistanceThreshold: 1000, // in model units */
    proxyBaseUrl: "https://mediafiles.abuzz.tech",

    surveyShowAll: true,
	clockDateFormat: { EN: "ddd, DD MMM", "ZH-CHS": "dddd, M月D日" },
    clockTimeFormat: { EN: "hh:mm A", "ZH-CHS": "A h:mm" },
    weatherCity: "Singapore, SG"
};

const customTopCategoriesCodes = [];
const customMainServicesCodes = ["toilets_disabled", "atm_", "babies"];
const servicesWithResultsList = ["toilets", "parking", "entrance", "atm_", "facilities"];
const servicesWithResultsListSortField = null;

